<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('error_reporting', E_ALL);

require '../../modelo/tipo_soporte_tecnico.php';
$response = array();

$tipos_soporte_tecnico = TipoSoporteTecnico::mdlGetTiposSoporteTecnico(1);

if (!$tipos_soporte_tecnico) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron tipos de soporte técnico';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $tipos_soporte_tecnico;

echo json_encode($response);